package com.ibm.jsf.model;

import java.util.List;

import com.ibm.jsf.stub.CustomerPersistence;

public class CustomerService implements IService {

	private CustomerPersistence persistenceLayer = new CustomerPersistence();

	/**
	 * Current customer list
	 *
	 * @uml.annotations for <code>customers</code>
	 *    collection_type="com.ibm.jsf.model.ICustomer"
	 */
	private List customers;

	/**
	 * Current customer detail
	 */
	private ICustomer currentCustomer;
	
	/**
	 * New customer
	 */
	private ICustomer newCustomer;

	public List getCustomers() {
		return customers;
	}
	public void setCustomers(List customers) {
		this.customers = customers;
	}

	public ICustomer getCurrentCustomer() {
		return currentCustomer;
	}
	public void setCurrentCustomer(ICustomer currentCustomer) {
		this.currentCustomer = currentCustomer;
	}
	
	public ICustomer getNewCustomer() {
        return newCustomer;
    }
    public void setNewCustomer(ICustomer newCustomer) {
        this.newCustomer = newCustomer;
    }
 
	public List loadList() {
		System.err.println("CustomerService : loadList( )");
		customers = persistenceLayer.loadList();
		return customers;
	}

	public void save(Object detail) {
		System.err.println("CustomerService : save(detail)");
		persistenceLayer.saveCustomer((Customer) detail);
	}

	public Object load(String id) {
		System.err.println("CustomerService : loadDetail(id)");
		currentCustomer = persistenceLayer.loadCustomer(id);
		return currentCustomer;
	}
 
    public void create(Object instance) {
        persistenceLayer.createCustomer((Customer) instance);
    }

    public void delete(Object instance) {
        persistenceLayer.deleteCustomer((Customer) instance);      
    }
	
}
