package com.ibm.jsf.stub;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import com.ibm.jsf.model.Address;
import com.ibm.jsf.model.Customer;
import com.ibm.jsf.model.Phone;

public class CustomerPersistence {

    private ArrayList customers;

    /**
     * Stub : simulates the TABLE in the database
     */
    public CustomerPersistence() {
        customers = new ArrayList();
        customers.add(createCustomer("Matusiak", "Thierry"));
        customers.add(createCustomer("Bauer", "Jack"));
        customers.add(createCustomer("Lucas", "Georges"));
        customers.add(createCustomer("Skywalker", "Luke"));
        customers.add(createCustomer("Rambo", "John"));
        customers.add(createCustomer("Balboa", "Rocky"));
        customers.add(createCustomer("Solo", "Ian"));
        customers.add(createCustomer("Kenobi", "Obiwan"));
     }

    private Customer createCustomer(String lastName, String firstname) {
        Customer customer = new Customer();
        customer.setFirstName(firstname);
        customer.setName(lastName);
        customer.setTechnicalUID("123");

        Address adr1 = new Address();
        adr1.setCity("Paris");
        adr1.setStreet("Bercy");
	    Phone phone1= new Phone();
		phone1.setCompany("France Telecom");
		phone1.setNumber("(33) 1 49 31 62 59");
		adr1.setPhone(phone1);
		
        Address adr2 = new Address();
        adr2.setCity("La Dfense");
        adr2.setStreet("Tour Descartes");
	    Phone phone2= new Phone();
		phone2.setCompany("Orange");
		phone2.setNumber("(33) 1 23 45 67 89");
		adr2.setPhone(phone2);

		customer.setAddresses(new Address[] { adr1, adr2 });

        return customer;
    }

    
    public List loadList() {
        return customers;
    }

    public Customer loadCustomer(String name) {
        Iterator customerIter = customers.iterator();
        while (customerIter.hasNext()) {
            Customer element = (Customer) customerIter.next();
            if (element.getName().equals(name)) {
                return element;
            }
        }
        return null;
    }

    public void createCustomer(Customer instance) {
        customers.add(instance);
    }

    public void saveCustomer(Customer customer) {
        // Nothing to do in this Stub Implementation
    }

    public void deleteCustomer(Customer customer) {
        customers.remove(customer);
    }

}
